"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListResourceTagsInput_1 = require("./ListResourceTagsInput");
var ListResourceTagsOutput_1 = require("./ListResourceTagsOutput");
var KMSInternalException_1 = require("./KMSInternalException");
var NotFoundException_1 = require("./NotFoundException");
var InvalidArnException_1 = require("./InvalidArnException");
var InvalidMarkerException_1 = require("./InvalidMarkerException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ListResourceTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListResourceTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListResourceTagsInput_1.ListResourceTagsInput
    },
    output: {
        shape: ListResourceTagsOutput_1.ListResourceTagsOutput
    },
    errors: [
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidMarkerException_1.InvalidMarkerException
        }
    ]
};
//# sourceMappingURL=ListResourceTags.js.map