"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListRetirableGrantsInput_1 = require("./ListRetirableGrantsInput");
var ListRetirableGrantsOutput_1 = require("./ListRetirableGrantsOutput");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidMarkerException_1 = require("./InvalidMarkerException");
var InvalidArnException_1 = require("./InvalidArnException");
var NotFoundException_1 = require("./NotFoundException");
var KMSInternalException_1 = require("./KMSInternalException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ListRetirableGrants = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListRetirableGrants",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListRetirableGrantsInput_1.ListRetirableGrantsInput
    },
    output: {
        shape: ListRetirableGrantsOutput_1.ListRetirableGrantsOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidMarkerException_1.InvalidMarkerException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        }
    ]
};
//# sourceMappingURL=ListRetirableGrants.js.map