"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateKeyDescriptionInput_1 = require("./UpdateKeyDescriptionInput");
var UpdateKeyDescriptionOutput_1 = require("./UpdateKeyDescriptionOutput");
var NotFoundException_1 = require("./NotFoundException");
var InvalidArnException_1 = require("./InvalidArnException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.UpdateKeyDescription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateKeyDescription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateKeyDescriptionInput_1.UpdateKeyDescriptionInput
    },
    output: {
        shape: UpdateKeyDescriptionOutput_1.UpdateKeyDescriptionOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=UpdateKeyDescription.js.map