"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GenerateRandomInput_1 = require("./GenerateRandomInput");
var GenerateRandomOutput_1 = require("./GenerateRandomOutput");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var KMSInternalException_1 = require("./KMSInternalException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.GenerateRandom = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GenerateRandom",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GenerateRandomInput_1.GenerateRandomInput
    },
    output: {
        shape: GenerateRandomOutput_1.GenerateRandomOutput
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        }
    ]
};
//# sourceMappingURL=GenerateRandom.js.map